Subject: Re: bug#20650: 25.0.50; xref seems not to pick C++ destructors

From: Dmitry Gutov <[email-masked]>
Date: Tue, 26 May 2015 02:21:41 +0300

On 05/25/2015 06:27 PM, Eli Zaretskii wrote:

> the tags table is OK, it's xref that
> didn't understand that when point is on "~A", you want ~A, not A.

You're welcome to suggest a better implementation for 
xref-default-identifier-at-point (keep in mind that it should be 
language-agnostic), but while it uses (thing-at-point 'symbol), maybe 
c++-mode should propertize ~ in those positions to have syntax class 
"symbol".

Normally it's performed with a syntax-propertize-function, but c++-mode 
doesn't have it.